Package writer2latex.latex

# Class ListConverter

java.lang.Object
writer2latex.latex.StyleConverter
writer2latex.latex.ListConverter

public class ListConverter extends StyleConverter

## Field Summary

### Fields inherited from class writer2latex.latex.StyleConverter

`declarations, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`ListConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new `ListConverter`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`handleList(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process a list (text:ordered-lst or text:unordered-list tag)
`static final String`
`numFormat(String sFormat)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListConverter

public ListConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)
Construct a new `ListConverter`

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

Overrides:
  `appendDeclarations` in class `StyleConverter`

### handleList

public void handleList(Element node, LaTeXDocumentPortion ldp, Context oc)

Process a list (text:ordered-lst or text:unordered-list tag)

Parameters:
  `node` - The element containing the list
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### numFormat

public static final String numFormat(String sFormat)